#include<stdio.h>
#include<math.h>
long long Cifre(long long a){
	if(a>=10) return Cifre(a/10)+1;
    else return 1;
}
int main(){
	long long a,b,c,broj=0,max;
	scanf("%lld%lld%lld",&a,&b,&c);
	if(a/pow(10,Cifre(a))>b/pow(10,Cifre(b)) && a/pow(10,Cifre(a))>c/pow(10,Cifre(c))){
	        broj+=a;
	        if(b>=c){
			broj*=pow(10,Cifre(b));
			broj+=b;
			broj*=pow(10,Cifre(c));
			broj+=c;
		}
		else {
		    broj*=pow(10,Cifre(c));
			broj+=c;
			broj*=pow(10,Cifre(b));
			broj+=b;
		}
	}
	else if(b/pow(10,Cifre(b))>a/pow(10,Cifre(a)) && b/pow(10,Cifre(b))>c/pow(10,Cifre(c))){
	        broj+=b;
	        if(a>=c){
			broj*=pow(10,Cifre(a));
			broj+=a;
			broj*=pow(10,Cifre(c));
			broj+=c;
		}
		else {
		    broj*=pow(10,Cifre(c));
			broj+=c;
			broj*=pow(10,Cifre(a));
			broj+=a;
		}
}
	else {broj+=c;
	    if(a>=b){
		    broj*=pow(10,Cifre(a));
			broj+=a;
			broj*=pow(10,Cifre(b));
			broj+=b;
	}
	     else{
	     	broj*=pow(10,Cifre(b));
			broj+=b;
			broj*=pow(10,Cifre(a));
			broj+=a;
		 }
}
if(a/pow(10,Cifre(a))==b/pow(10,Cifre(b)) && a/pow(10,Cifre(a))==c/pow(10,Cifre(c))){
	if(a>=b && a>=c){
	        broj+=a;
	        if(b>=c){
			broj*=pow(10,Cifre(b));
			broj+=b;
			broj*=pow(10,Cifre(c));
			broj+=c;
		}
		else {
		    broj*=pow(10,Cifre(c));
			broj+=c;
			broj*=pow(10,Cifre(b));
			broj+=b;
		}
}
    else if(b>=a && b>=c){
     broj+=b;
	        if(a>=c){
			broj*=pow(10,Cifre(a));
			broj+=a;
			broj*=pow(10,Cifre(c));
			broj+=c;
		}
		else {
		    broj*=pow(10,Cifre(c));
			broj+=c;
			broj*=pow(10,Cifre(a));
			broj+=a;
		}
}
    else {broj+=c;
	    if(a>=b){
		    broj*=pow(10,Cifre(a));
			broj+=a;
			broj*=pow(10,Cifre(b));
			broj+=b;
	}
	     else{
	     	broj*=pow(10,Cifre(b));
			broj+=b;
			broj*=pow(10,Cifre(a));
			broj+=a;
		 }
}}
		printf("%lld",broj);
		 return 0;   
}